## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate io-lifetimes

Name:           rust-io-lifetimes
Version:        2.0.4
Release:        %autorelease
Summary:        Low-level I/O ownership and borrowing library

License:        Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
URL:            https://crates.io/crates/io-lifetimes
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          io-lifetimes-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * Omit the mio feature to avoid a dependency on the rust-mio0.8 compat package
Patch:          io-lifetimes-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A low-level I/O ownership and borrowing library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/COPYRIGHT
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-Apache-2.0_WITH_LLVM-exception
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CODE_OF_CONDUCT.md
%doc %{crate_instdir}/ORG_CODE_OF_CONDUCT.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+async-std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+async-std-devel %{_description}

This package contains library source intended for building other packages which
use the "async-std" feature of the "%{crate}" crate.

%files       -n %{name}+async-std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+close-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+close-devel %{_description}

This package contains library source intended for building other packages which
use the "close" feature of the "%{crate}" crate.

%files       -n %{name}+close-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+libc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+libc-devel %{_description}

This package contains library source intended for building other packages which
use the "libc" feature of the "%{crate}" crate.

%files       -n %{name}+libc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+os_pipe-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+os_pipe-devel %{_description}

This package contains library source intended for building other packages which
use the "os_pipe" feature of the "%{crate}" crate.

%files       -n %{name}+os_pipe-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+socket2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+socket2-devel %{_description}

This package contains library source intended for building other packages which
use the "socket2" feature of the "%{crate}" crate.

%files       -n %{name}+socket2-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tokio-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tokio-devel %{_description}

This package contains library source intended for building other packages which
use the "tokio" feature of the "%{crate}" crate.

%files       -n %{name}+tokio-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Mon Jan 20 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 2.0.4-3
- Omit the mio feature to avoid a dependency on the rust-mio0.8 compat
  package

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Dec 09 2024 Fabio Valentini <decathorpe@gmail.com> - 2.0.4-1
- Update to version 2.0.4; Fixes RHBZ#2330291

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Dec 01 2023 Fabio Valentini <decathorpe@gmail.com> - 2.0.3-1
- Update to version 2.0.3; Fixes RHBZ#2252347

* Sun Nov 05 2023 Fabio Valentini <decathorpe@gmail.com> - 2.0.2-1
- Update to version 2.0.2; Fixes RHBZ#2214072

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu May 25 2023 Fabio Valentini <decathorpe@gmail.com> - 1.0.11-1
- Update to version 1.0.11; Fixes RHBZ#2209753

* Mon Apr 10 2023 Fabio Valentini <decathorpe@gmail.com> - 1.0.10-1
- Update to version 1.0.10; Fixes RHBZ#2184547

* Sun Mar 26 2023 Fabio Valentini <decathorpe@gmail.com> - 1.0.9-1
- Update to version 1.0.9; Fixes RHBZ#2179572

* Thu Mar 16 2023 Fabio Valentini <decathorpe@gmail.com> - 1.0.7-1
- Update to version 1.0.7; Fixes RHBZ#2179132

* Tue Mar 07 2023 Fabio Valentini <decathorpe@gmail.com> - 1.0.6-1
- Update to version 1.0.6; Fixes RHBZ#2175912

* Tue Feb 07 2023 Fabio Valentini <decathorpe@gmail.com> - 1.0.5-1
- Update to version 1.0.5; Fixes RHBZ#2166488

* Sun Jan 29 2023 Fabio Valentini <decathorpe@gmail.com> - 1.0.4-1
- Update to version 1.0.4; Fixes RHBZ#2160544

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Dec 11 2022 Fabio Valentini <decathorpe@gmail.com> - 1.0.3-1
- Update to version 1.0.3; Fixes RHBZ#2139533

* Thu Nov 10 2022 Fabio Valentini <decathorpe@gmail.com> - 0.7.5-1
- Update to version 0.7.5

* Thu Oct 27 2022 Fabio Valentini <decathorpe@gmail.com> - 0.7.4-1
- Update to version 0.7.4; Fixes RHBZ#2094062

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Apr 12 2022 Fabio Valentini <decathorpe@gmail.com> - 0.5.3-1
- Update to version 0.5.3

* Fri Feb 04 2022 Fabio Valentini <decathorpe@gmail.com> - 0.4.4-1
- Update to version 0.4.4

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Nov 29 2021 Olivier Lemasle <o.lemasle@gmail.com> - 0.4.3-2
- Downgrade "mio" and "os_pipe", to fix installation issues

* Sun Nov 28 2021 Olivier Lemasle <o.lemasle@gmail.com> - 0.4.3-1
- Update to upstream 0.4.3 (fixes rhbz#2019950)

* Wed Sep 22 2021 Olivier Lemasle <o.lemasle@gmail.com> - 0.3.1-1
- Update to upstream 0.3.1 (rhbz#1991767)

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 25 17:23:36 CEST 2021 Olivier Lemasle <o.lemasle@gmail.com> - 0.2.0-1
- Initial package

## END: Generated by rpmautospec
